Retrieve the status of a migration

GET https://{controlplane_path}/api/1/rest/public/migrate/{status-token}      

Overview

This API retrieves the status of a migration.

Prerequisites

  • Environment (Org) admin permissions

Request

 GET https://{controlplane_path}/api/1/rest/public/migrate/{status-token}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
status-token Required. The status token of the asynchronous migration process.

Query parameters

None.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

Response Body

{
  {
    "response_map": {
        "status": "",
        "src_path": "",
        "dest_path": "",
        "asset_types": [
            "Pipeline",
            "Job",
            "Account",
            "File",
            "Policy",
            "Flows",
            "ApiService",
            "ApiServiceVersion",
            "ApiServiceVersionEndpoint",
            "PolicyGroup"
        ],
        "asset_paths": null,
        "user_id": "",
        "create_time": "..",
        "failed": [],
        "successful": [
            {
                "snode_id": "..",
                "name": "...",
                "asset_type": "..."
            },
                        },
            {
                "snode_id": "697b282550712d37ddc3bbbd",
                "name": "TU new pipeline 0",
                "asset_type": "Pipeline"
            }
        ],
        "warnings": [],
        "status_token": "17ed9720-05b2-4e22-9955-04c4534451ae"
    },
    "http_status_code": 200
}
}
        

Example - Migration in Progress

{
  {
    "response_map": {
        "status": "Started",
        "src_path": "test/migrate/my_project",
        "dest_path": "snaplogic/migrate/my_project",
        "asset_types": [
            "Pipeline",
            "Job",
            "Account",
            "File",
            "Policy",
            "Flows",
            "ApiService",
            "ApiServiceVersion",
            "ApiServiceVersionEndpoint",
            "PolicyGroup"
        ],
        "asset_paths": null,
        "user_id": "[email protected]",
        "create_time": "2026-02-20T07:25:16.905000+00:00",
        "status_token": "17ed9720-05b2-4e22-9955-04c4534451ae"          
    },
    "http_status_code": 200
}    
      

Example - Completed Migration

{
  {
    "response_map": {
        "status": "Completed",
        "src_path": "test/migrate/my_project",
        "dest_path": "snaplogic/migrate/my_project",
        "asset_types": [
            "Pipeline",
            "Job",
            "Account",
            "File",
            "Policy",
            "Flows",
            "ApiService",
            "ApiServiceVersion",
            "ApiServiceVersionEndpoint",
            "PolicyGroup"
        ],
        "asset_paths": null,
        "user_id": "[email protected]",
        "create_time": "2026-02-20T07:26:50.905000+00:00",
        "failed": [],
        "successful": [
            {
                "snode_id": "697b2823e2f670af949de6da",
                "name": "RS-Excel-Transform",
                "asset_type": "Pipeline"
            },
                        },
            {
                "snode_id": "697b282550712d37ddc3bbbd",
                "name": "New pipeline 0",
                "asset_type": "Pipeline"
            }
        ],
        "warnings": [],
        "status_token": "17ed9720-05b2-4e22-9955-04c4534451ae"
    },
    "http_status_code": 200
}
}